Browse Source

git 1.7.1-1: add files

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1965 ec354946-7b23-47d6-9f5a-488ba84defc7
iwaim 13 years ago
parent
commit
e0274f80ec
5 changed files with 113 additions and 0 deletions
  1. 5 0
      g/git/git-init.el
  2. 50 0
      g/git/git-install.sh
  3. 36 0
      g/git/git-remove.sh
  4. 6 0
      g/git/git.conf.httpd
  5. 16 0
      g/git/git.xinetd

+ 5 - 0
g/git/git-init.el

@@ -0,0 +1,5 @@
+;; Git VC backend
+(add-to-list 'vc-handled-backends 'GIT t)
+(autoload 'git-status "git" "GIT mode." t)
+(autoload 'git-blame-mode "git-blame"
+ 	"Minor mode for incremental blame for Git." t)

+ 50 - 0
g/git/git-install.sh

@@ -0,0 +1,50 @@
+#! /bin/sh -e
+#  /usr/lib/emacsen-common/packages/install/git
+
+set -e
+
+FLAVOR=$1
+PACKAGE="git"
+
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="${PACKAGE}-init.el";
+
+case "${FLAVOR}" in
+    emacs|emacs19|mule)
+        ;;
+    *)
+	echo -n "install/${PACKAGE}: Byte-compiling for ${FLAVOR} ..."
+        rm -rf ${ELCDIR}
+        install -m 755 -d ${ELCDIR}
+
+        # Copy the temp .el files
+        cp -a ${ELDIR}/* ${ELCDIR}/
+
+        # Byte compile them
+        (cd ${ELCDIR}
+            ${FLAVOR} -batch -q -no-site-file \
+                      -f batch-byte-compile *.el > CompilationLog 2>&1
+            rm -f *.el
+        )
+        gzip -9 ${ELCDIR}/CompilationLog
+        cp -a ${ELDIR}/${STARTFILE} ${STARTDIR}/55${STARTFILE}
+        echo " done."
+        #
+        ;;
+esac
+
+exit 0;

+ 36 - 0
g/git/git-remove.sh

@@ -0,0 +1,36 @@
+#!/bin/sh
+# /usr/lib/emacsen-common/packages/remove/git
+set -e
+
+FLAVOR=$1
+PACKAGE="git"
+
+if [ "X${FLAVOR}" = "X" ]; then
+    echo Need argument to determin FLAVOR of emacs;
+    exit 1
+fi
+
+if [ "X${PACKAGE}" = "X" ]; then
+    echo Internal error: need package name;
+    exit 1;
+fi
+
+ELDIR=/usr/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=/usr/share/${FLAVOR}/site-lisp/${PACKAGE}
+STARTDIR=/etc/${FLAVOR}/site-start.d
+STARTFILE="$PACKAGE-init.el";
+
+SITELISP=/usr/share/${FLAVOR}/site-lisp
+
+case "${FLAVOR}" in
+	emacs|emacs19|mule)
+	;;
+	*)
+	echo -n "remove/${PACKAGE}: Handling removal of emacsen flavor ${FLAVOR} ..."
+	rm -rf ${ELCDIR}
+	rm -f ${STARTDIR}/55${STARTFILE}*;
+	echo " done."
+	;;
+esac
+
+exit 0;

+ 6 - 0
g/git/git.conf.httpd

@@ -0,0 +1,6 @@
+Alias /git /var/www/git
+
+<Directory /var/www/git>
+  Options +ExecCGI
+  AddHandler cgi-script .cgi
+</Directory>

+ 16 - 0
g/git/git.xinetd

@@ -0,0 +1,16 @@
+# default: off
+# description: The git daemon allows git repositories to be exported using
+#	the git:// protocol.
+
+service git
+{
+        disable		= yes
+        socket_type     = stream
+        wait            = no
+        user            = nobody
+        server          = /usr/libexec/git-core/git-daemon
+        server_args     = --base-path=/srv/git --export-all --user-path=public_git --syslog --inetd --verbose
+        log_on_failure  += USERID
+# xinetd doesn't do this by default. bug #195265
+        flags		= IPv6
+}